> For the complete documentation index, see [llms.txt](https://docs.tiny.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tiny.plus/api/getting-access/register-a-client-app.md).

# Register a Client App

{% hint style="info" %}
&#x20;You only need a Client App if you're building an integration for other tiny+ customers, not just your organisation.
{% endhint %}

Are you building an integration with tiny+, and need a way to allow your customers to access their tiny+ data in your app? You'll need to register a Client App.

## Get in touch to register a client app

Currently the only way to register a client app is by emailing <support@tiny.plus>.&#x20;

Please provide a name for your app, a short paragraph describing your intended usage, and a callback URL.We will get back to you ASAP.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tiny.plus/api/getting-access/register-a-client-app.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
